#import <Cocoa/Cocoa.h>

#import "KFTypeSelectTableView.h"

@class XeeImage,XeeDirectoryController;



@interface XeeCloseButton:NSButton
{
}

-(id)initWithFrame:(NSRect)frame;

@end



@interface XeeClipboardWindow:NSWindow
{
}

-(void)keyDown:(NSEvent *)event;

@end



#define XeeCollisionCancel 0
#define XeeCollisionReplace 1
#define XeeCollisionRename 2

@interface XeeCollisionPanel:NSWindow
{
	XeeImage *srcimage,*destimage;
	int transfermode;

	IBOutlet XeeDirectoryController *controller;
	IBOutlet NSImageView *icon;
	IBOutlet NSTextField *titlefield;
	IBOutlet NSTextField *oldsize;
	IBOutlet NSTextField *oldformat;
	IBOutlet NSTextField *olddate;
	IBOutlet NSTextField *newsize;
	IBOutlet NSTextField *newformat;
	IBOutlet NSTextField *newdate;
	IBOutlet NSTextField *namefield;
}

-(void)run:(NSWindow *)window source:(XeeImage *)srcimage destination:(XeeImage *)destimage mode:(int)mode;
-(IBAction)cancelClick:(id)sender;
-(IBAction)renameClick:(id)sender;
-(IBAction)replaceClick:(id)sender;

@end



@interface XeeRenamePanel:NSWindow
{
	XeeImage *image;

	IBOutlet XeeDirectoryController *controller;
	IBOutlet NSTextField *namefield;
}

-(void)run:(NSWindow *)window image:(XeeImage *)img;
-(IBAction)cancelClick:(id)sender;
-(IBAction)renameClick:(id)sender;

@end
